> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getConfig

> Get application settings and configuration



## OpenAPI

````yaml GET /config
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /config:
    get:
      tags:
        - Config
      summary: Get Config
      description: Get application settings and configuration
      operationId: getConfig
      responses:
        '200':
          description: Application settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  disableRegistration:
                    type: boolean
                    nullable: true
                  disablePasswordRegistration:
                    type: boolean
                    nullable: true
                  isDemoMode:
                    type: boolean
                  hasSmtp:
                    type: boolean
                  hasGithubSignIn:
                    type: boolean
                    nullable: true
                  hasGoogleSignIn:
                    type: boolean
                    nullable: true
                  hasDiscordSignIn:
                    type: boolean
                    nullable: true
                  hasCustomOAuth:
                    type: boolean
                    nullable: true
                  hasGuestAccess:
                    type: boolean
                    nullable: true
                  customOAuthLogoutUrl:
                    type: string
                    nullable: true
                required:
                  - disableRegistration
                  - disablePasswordRegistration
                  - isDemoMode
                  - hasSmtp
                  - hasGithubSignIn
                  - hasGoogleSignIn
                  - hasDiscordSignIn
                  - hasCustomOAuth
                  - hasGuestAccess
                  - customOAuthLogoutUrl
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````